Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v4
Class FindVmpRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v4.FindVmpRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2023-09-11T04:26:21+02:00",
               comments="JAXB RI v2.3.6")
    public class FindVmpRequest

extends RequestType
implements Serializable

Java class for FindVmpRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindVmpRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="FindByGenericPrescriptionGroup" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByGenericPrescriptionGroupType" minOccurs="0"/>
             <element name="FindByTherapeuticMoiety" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByTherapeuticMoietyType" minOccurs="0"/>
             <element name="FindByProduct" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByVirtualProductType" minOccurs="0"/>
             <element name="FindByIngredient" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindByIngredientType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="HasComponentWith" type="{urn:be:fgov:ehealth:dics:protocol:v4}HasVirtualComponentWithType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="HasWadaClassification" type="{urn:be:fgov:ehealth:dics:protocol:v4}HasWadaClassificationType" minOccurs="0"/>
           </sequence>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindVmpRequest()`

Method Summary
`FindByGenericPrescriptionGroupType` | `getFindByGenericPrescriptionGroup()` Gets the value of the findByGenericPrescriptionGroup property.
`List<FindByIngredientType>` | `getFindByIngredients()` Gets the value of the findByIngredients property.
`FindByVirtualProductType` | `getFindByProduct()` Gets the value of the findByProduct property.
`FindByTherapeuticMoietyType` | `getFindByTherapeuticMoiety()` Gets the value of the findByTherapeuticMoiety property.
`List<HasVirtualComponentWithType>` | `getHasComponentWiths()` Gets the value of the hasComponentWiths property.
`HasWadaClassificationType` | `getHasWadaClassification()` Gets the value of the hasWadaClassification property.
`String` | `getLang()` Gets the value of the lang property.
`org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
`void` | `setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)` Sets the value of the findByGenericPrescriptionGroup property.
`void` | `setFindByProduct(FindByVirtualProductType value)` Sets the value of the findByProduct property.
`void` | `setFindByTherapeuticMoiety(FindByTherapeuticMoietyType value)` Sets the value of the findByTherapeuticMoiety property.
`void` | `setHasWadaClassification(HasWadaClassificationType value)` Sets the value of the hasWadaClassification property.
`void` | `setLang(String value)` Sets the value of the lang property.
`void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindVmpRequest

    public FindVmpRequest()

Method Detail

### getFindByGenericPrescriptionGroup

    public FindByGenericPrescriptionGroupType getFindByGenericPrescriptionGroup()

  Gets the value of the findByGenericPrescriptionGroup property.

  Returns:
    possible object is `FindByGenericPrescriptionGroupType`

### setFindByGenericPrescriptionGroup

    public void setFindByGenericPrescriptionGroup(FindByGenericPrescriptionGroupType value)

  Sets the value of the findByGenericPrescriptionGroup property.

  Parameters:
    `value` - allowed object is `FindByGenericPrescriptionGroupType`

### getFindByTherapeuticMoiety

    public FindByTherapeuticMoietyType getFindByTherapeuticMoiety()

  Gets the value of the findByTherapeuticMoiety property.

  Returns:
    possible object is `FindByTherapeuticMoietyType`

### setFindByTherapeuticMoiety

    public void setFindByTherapeuticMoiety(FindByTherapeuticMoietyType value)

  Sets the value of the findByTherapeuticMoiety property.

  Parameters:
    `value` - allowed object is `FindByTherapeuticMoietyType`

### getFindByProduct

    public FindByVirtualProductType getFindByProduct()

  Gets the value of the findByProduct property.

  Returns:
    possible object is `FindByVirtualProductType`

### setFindByProduct

    public void setFindByProduct(FindByVirtualProductType value)

  Sets the value of the findByProduct property.

  Parameters:
    `value` - allowed object is `FindByVirtualProductType`

### getFindByIngredients

    public List<FindByIngredientType> getFindByIngredients()

  Gets the value of the findByIngredients property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the findByIngredients property.

  For example, to add a new item, do as follows:

          getFindByIngredients().add(newItem);

  Objects of the following type(s) are allowed in the list `FindByIngredientType`

### getHasComponentWiths

    public List<HasVirtualComponentWithType> getHasComponentWiths()

  Gets the value of the hasComponentWiths property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hasComponentWiths property.

  For example, to add a new item, do as follows:

          getHasComponentWiths().add(newItem);

  Objects of the following type(s) are allowed in the list `HasVirtualComponentWithType`

### getHasWadaClassification

    public HasWadaClassificationType getHasWadaClassification()

  Gets the value of the hasWadaClassification property.

  Returns:
    possible object is `HasWadaClassificationType`

### setHasWadaClassification

    public void setHasWadaClassification(HasWadaClassificationType value)

  Sets the value of the hasWadaClassification property.

  Parameters:
    `value` - allowed object is `HasWadaClassificationType`

### getLang

    public String getLang()

  Gets the value of the lang property.

  Returns:
    possible object is `String`

### setLang

    public void setLang(String value)

  Sets the value of the lang property.

  Parameters:
    `value` - allowed object is `String`

### getSearchDate

    public org.joda.time.DateTime getSearchDate()

  Gets the value of the searchDate property.

  Returns:
    possible object is `String`

### setSearchDate

    public void setSearchDate(org.joda.time.DateTime value)

  Sets the value of the searchDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.